Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 05/30/2023 in all areas

  1. As stated before, it can all be reproduced, best you can do is make it very difficult. If there are any dimensions or even standard objects like windows, doors, eave heights, etc. it's even easier. Make everything a block and set to an odd scale in x and y then explode will help distort the drawing. Lots of other "tricks" as well. Watermarks are not very effective in the short term, one of the easiest deterrents to remove from a drawing. Already several threads on this.
    1 point
  2. I know this is a thing, but I do wonder if a single post, referencing a link to a thread that is 11 years old is an AI bot trying to work out how people respond to questions that have been solved in the thread (obviously waiting the new member to reply "No I am not")
    1 point
  3. Try this: (defun c:pp(/); l1 l2 l3 p1 p2 p3 p4 p area h h1 ang) (setq l1 3.0 l2 2.0 l3 4) (setq p1 (list 0 0) p2 (list 0 l1)) (setq p (* (+ l1 l2 l3) 0.5)) (setq area (sqrt (* p (- p l1) (- p l2) (- p l3)))) (setq h (/ area l1 0.5)) (setq h1 (sqrt (- (* l2 l2) (* h h)))) (setq ang (atan h h1)) (setq ang (if (> (* l3 l3) (+ (* l1 l1) (* h h))) (- PI ang) ang)) (setq p3 (polar p1 (+ ang (angle p1 p2)) l2)) (setq p4 (polar p1 (- (angle p1 p2) ang) l2)) (command "line" p1 p2 p3 p1 p4 p2 "") )
    1 point
  4. Here is another option, there will be stuff in there that might not work, going to need both of these files I think and I save them in ....Desktop \\ AutoCAD \\ AutoCAD LISPS .... so you can create that folder or search through the code and change that file path. These are just a fancy DCL option to make a script that is all BATCHLISPS.lsp LISPSHELP.lsp
    1 point
  5. Have not forgotten still on my to do list. Been busy lately.
    1 point
  6. Lisp inspired from this post Looks like plots how are you determining the correct locations do you have survey information? This creates circles on the vertex of each polyline. then adds them to a selection set. if their is another circle center between a distance of 0.001 to 0.5 it add that circle to another list if not it deletes the circle. this will insure all circles between this distance are left and highlight where the vertex's don't match. Also attached your example drawing with this lisp ran on it. Having a total of 31 problem areas. if you increase the precision of 0.001 it will add more areas. ;;----------------------------------------------------------------------;; ;; ADD CIRCES TO EACH VERTEX OF A POLYLINE THAT DON'T MATCH. (defun C:PPCIR (/ SS S cords d ent a b c) (if (setq SS (ssget '((0 . "*POLYLINE")))) (foreach poly (vl-remove-if 'listp (mapcar 'cadr (ssnamex SS))) (setq cords (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= (car x) 10)) (entget poly)))) (foreach pt cords (entmake (list '(0 . "CIRCLE") (cons 10 pt) '(40 . 2) '(8 . "Mark"))) ;creat a circle with a radius of 2 ) ) ) (cond ((setq S (ssget "_X" '((0 . "CIRCLE") (8 . "Mark")))) (foreach ent (mapcar 'cadr (ssnamex S)) (setq a (cons (list (cdr (assoc 10 (entget ent))) ent) a)) ) (while (setq c (car a)) (setq a (cdr a)) (if (or (member t (mapcar '(lambda (x) (and (not (equal (car c) (car x) 0.001)) (<= (distance (car c) (car x)) 0.5))) a)) (member t (mapcar '(lambda (x) (and (not (equal (car c) (car x) 0.001)) (<= (distance (car c) (car x)) 0.5))) b))) (setq b (cons c b)) (entdel (cadr c)) ) ) ) ) (princ) ) Example.dwg
    1 point
×
×
  • Create New...